QGIS Application - Bug report #12631
QgsSnapper.snapToCurrentLayer() not working anymore in QGIS 2.8
2015-04-23 03:15 AM - luca76 -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20746
Description

Hi, I (but not only me: [1]) discovered that QgsSnapper.snapToCurrentLayer() is not working anymore in QGIS 2.8, it returns always no
result, as you can see in the sample code [1].

Is there any way to make QgsSnapper.snapToCurrentLayer working as before?

It should be fixed in 2.8.2, as it breaks plugins.

[1] http://gis.stackexchange.com/questions/138836/snaptocurrentlayer-in-qgis2-8-with-python-programming

Associated revisions

Revision 6466477 - 2015-06-18 12:02 PM - Martin Dobias

Make QgsMapCanvas.snapToCurrentLayer() work again (fixes #12631)

The snapper was called with screen coords instead of map coords

(due to implicit conversion QPoint->QgsPoint)

Revision 65748d50 - 2015-07-07 06:04 PM - Martin Dobias

Make QgsMapCanvas.snapToCurrentLayer() work again (fixes #12631)

The snapper was called with screen coords instead of map coords
(due to implicit conversion QPoint->QgsPoint)

(cherry picked from commit e6466477136a440125108cbe2406cbf971ceff19)

History

#1 - 2015-05-03 04:03 AM - cmoe -

I'm encountering the same problem, and indeed, it breaks plugins. To clarify it is QgsMapCanvasSnapper.snapToCurrentLayer() not working, as also
stated in the link provided above.

#2 - 2015-06-08 05:39 AM - Jiirgen Fischer
- Category set to Digitising
http://gis.stackexchange.com/questions/138836/snaptocurrentlayer-in-qgis2-8-with-python-programming

#3 - 2015-06-18 03:02 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"e6466477136a440125108cbe2406chf971ceff19".
